package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;

@Entity
@DynamicInsert
@DynamicUpdate
@JsonIgnoreProperties({"notInterstingMember", "forgetThisField"})
@Table(name="MonitoringMesinAutoClaveBowidick_T")
public class MonitoringMesinAutoClaveBowidick extends BaseTransaction{
	@Column(name="Tanggal")
	private Date tanggal;
	
	@Column(name="Program")
	private String program;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="ObjectMesinFk")
	private Mesin mesin;
	
	@Column(name="ObjectMesinFk", insertable=false, updatable=false, nullable=true)
	private Integer mesinId;
	
	@Column(name="Hasil", length=200)
	private String hasil;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="ObjectOperatorFk")
	private Pegawai operator;
	
	@Column(name="ObjectOperatorFk", insertable=false, updatable=false)
	private Integer operatorId;
	
	@Column(name="Keterangan", length=200)
	private String keterangan;

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public String getProgram() {
		return program;
	}

	public void setProgram(String program) {
		this.program = program;
	}

	public Mesin getMesin() {
		return mesin;
	}

	public void setMesin(Mesin mesin) {
		this.mesin = mesin;
	}

	public Integer getMesinId() {
		return mesinId;
	}

	public void setMesinId(Integer mesinId) {
		this.mesinId = mesinId;
	}

	public String getHasil() {
		return hasil;
	}

	public void setHasil(String hasil) {
		this.hasil = hasil;
	}

	public Pegawai getOperator() {
		return operator;
	}

	public void setOperator(Pegawai operator) {
		this.operator = operator;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
	

}
